Bug 525094 - [abrt] crash detected in yum-3.2.24-4.fc12
Summary: [abrt] crash detected in yum-3.2.24-4.fc12
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb0a64cd
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 10:46 UTC by Caolan McNamara
Modified: 2014-01-21 23:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 16:21:46 UTC


Attachments (Terms of Use)
File: backtrace (15.43 KB, text/plain)
2009-09-23 10:46 UTC, Caolan McNamara
no flags Details
correct backtrace (2.21 KB, text/plain)
2009-09-23 10:50 UTC, Caolan McNamara
no flags Details
output (1.81 KB, text/plain)
2009-09-23 14:06 UTC, Caolan McNamara
no flags Details

Description Caolan McNamara 2009-09-23 10:46:45 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
yum update and timeout of...
http://kojipkgs.fedoraproject.org/packages/abrt/0.0.9/1.fc12/x86_64/abrt-addon-python-0.0.9-1.fc12.x86_64.rpm: [Errno 12] Timeout on http://kojipkgs.fedoraproject.org/packages/abrt/0.0.9/1.fc12/x86_64/abrt-addon-python-0.0.9-1.fc12.x86_64.rpm: (28, '')


Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/bin/python /usr/bin/yum update --exclude superrawhide-x86_64 --exclude superrawhide-x86 --skip-broken 


component
-----
yum


executable
-----
/usr/bin/yum


kernel
-----
2.6.31-2.fc12.x86_64


package
-----
yum-3.2.24-4.fc12


uuid
-----
eb0a64cd

Comment 1 Caolan McNamara 2009-09-23 10:46:52 UTC
Created attachment 362277 [details]
File: backtrace

Comment 2 Caolan McNamara 2009-09-23 10:50:38 UTC
Created attachment 362278 [details]
correct backtrace

oh for god sakes, abrt attached the wrong backtrace to this. Manually adding the correct one

Comment 3 James Antill 2009-09-23 13:54:47 UTC
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 801, in _getFile
    if self.mirrorurls:
AttributeError: 'YumRepository' object has no attribute 'mirrorurls'

Local variables in innermost frame:
relative: abrt/0.0.9/1.fc12/x86_64/abrt-addon-python-0.0.9-1.fc12.x86_64.rpm
cache: True
remote: http://kojipkgs.fedoraproject.org/packages/abrt/0.0.9/1.fc12/x86_64/abrt-addon-python-0.0.9-1.fc12.x86_64.rpm

...what does "yum repolist -v" say?

Comment 4 Caolan McNamara 2009-09-23 14:06:21 UTC
Created attachment 362302 [details]
output

Comment 5 James Antill 2009-09-23 14:27:53 UTC
 I see, thanks. Here's the upstream proposed fix:

    Don't traceback on baseurl only repos. which have network failures, BZ 52509

diff --git a/yum/yumRepo.py b/yum/yumRepo.py
index d860ef9..daf8095 100644
--- a/yum/yumRepo.py
+++ b/yum/yumRepo.py
@@ -798,7 +798,7 @@ class YumRepository(Repository, config.RepoConf):
                                     )
             except URLGrabError, e:
                 errstr = "failed to retrieve %s from %s\nerror was %s" % (relat
-                if self.mirrorurls:
+                if hasattr(self, 'mirrorurls'):
                     errstr +="\n  You could try running: yum clean expire-cache
                     errstr +="\n  To get a new set of mirrors."
                 if e.errno == 256:

Comment 6 seth vidal 2009-09-24 16:21:46 UTC
not the above patch but something that ultimately achieves the same goal has been checked in upstream and the latest yum build in rawhide has this patch.


Note You need to log in before you can comment on or make changes to this bug.